Support » Plugin: Gravity Forms Constant Contact » PHP 7 incompatibility errors

  • Resolved the_webscaper

    (@the_webscaper)



    Good Day,

    I saw others posted many months ago about this, but I’m bringing it up again. Errors (pasted at bottom) are kicked with both THIS plugin as well as your Constant Contact for WordPress plugin (i.e., both the Gravity Forms add-on and the regular plugin).

    Someone stated it was an unused function but even so, this should be cleaned up. I provide maintenance to my clients and when they see these errors in the reports I provide they question MY competency.

    Would it be possible to address this in the next update of both plugins? I will also post in the other support forum. Thank you!

    ERRORS:
    FILE: /home/xxxxxxxx/public_html/wp-content/plugins/gravity-forms-constant-contact/api/cc_class.php
    ————————————————————————————————————-
    FOUND 2 ERRORS AFFECTING 1 LINE
    ————————————————————————————————————-
    82 | ERROR | Function eregi() is deprecated since PHP 5.3 and removed since PHP 7.0; use preg_match instead
    82 | ERROR | Extension ‘ereg’ is deprecated since PHP 5.3 and removed since PHP 7.0 – use pcre instead.
    ————————————————————————————————————-

Viewing 6 replies - 1 through 6 (of 6 total)
Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘PHP 7 incompatibility errors’ is closed to new replies.